GNU bug report logs - #11054
cperl font-lock mode ought to ignore variables in comments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Nathan Trapuzzano <nbtrap@HIDDEN>; merged with #3091; dated Tue, 20 Mar 2012 23:16:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3091 11054. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Mar 2012 23:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 20 19:15:16 2012
Received: from localhost ([127.0.0.1]:58468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SA8Gp-0007w1-5G
	for submit <at> debbugs.gnu.org; Tue, 20 Mar 2012 19:15:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44287)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <nbtrap@HIDDEN>) id 1SA8Gj-0007vq-BB
	for submit <at> debbugs.gnu.org; Tue, 20 Mar 2012 19:15:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <nbtrap@HIDDEN>) id 1SA7n3-0000kf-Hv
	for submit <at> debbugs.gnu.org; Tue, 20 Mar 2012 18:44:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:45087)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <nbtrap@HIDDEN>) id 1SA7n3-0000kZ-CC
	for submit <at> debbugs.gnu.org; Tue, 20 Mar 2012 18:44:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41426)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <nbtrap@HIDDEN>) id 1SA7n1-0001RT-ME
	for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2012 18:44:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <nbtrap@HIDDEN>) id 1SA7mz-0000k0-Hu
	for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2012 18:44:27 -0400
Received: from oproxy7-pub.bluehost.com ([67.222.55.9]:43835)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <nbtrap@HIDDEN>) id 1SA7mz-0000jg-10
	for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2012 18:44:25 -0400
Received: (qmail 18924 invoked by uid 0); 20 Mar 2012 22:44:20 -0000
Received: from unknown (HELO host264.hostmonster.com) (74.220.215.64)
	by oproxy7.bluehost.com with SMTP; 20 Mar 2012 22:44:20 -0000
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=nbtrap.com;
	s=default; 
	h=Content-Transfer-Encoding:Content-Type:Mime-Version:Message-ID:Subject:To:From:Date;
	bh=1Lz6CG9lMmYziZx+y6cIagbZT8KIxZ8k1ryenGEt7wg=; 
	b=Tbj00mOJxwpjT+d/KXgXFCdH8wE2Xy30kKYlMYSUe6O8pz42z3q8otMhQvNRFXh8YyqR5tMrB6u1hMwDi8A76PTQTin7bHyhRjg0tL628KPsiyvINcIyeIksEczhzOrk;
Received: from 99-40-62-116.lightspeed.clmboh.sbcglobal.net ([99.40.62.116]
	helo=localhost.localdomain)
	by host264.hostmonster.com with esmtpa (Exim 4.76)
	(envelope-from <nbtrap@HIDDEN>) id 1SA7mu-0000XR-Ej
	for bug-gnu-emacs@HIDDEN; Tue, 20 Mar 2012 16:44:20 -0600
Date: Tue, 20 Mar 2012 18:44:18 -0400
From: Nathan Trapuzzano <nbtrap@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: cperl font-lock mode ought to ignore variables in comments
Message-ID: <20120320184418.50e7c35e@HIDDEN>
X-Mailer: Claws Mail 3.8.0 (GTK+ 2.24.10; x86_64-unknown-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Identified-User: {1425:host264.hostmonster.com:nbtrapco:nbtrap.com}
	{sentby:smtp auth 99.40.62.116 authed with nbtrap@HIDDEN}
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

cperl syntax highlighting ought to display variables (e.g. $foo, %bar)
the same way it displays all other text within comments, i.e., according
to font-lock-comment-fact. However, the text is instead displayed as
though it were not in fact contained within a comment. I imagine (and
hope) that this would be an easy fix.

Running Arch build 23.4-1:

In GNU Emacs 23.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.9)
 of 2012-02-01 on shirley.hoetzel.info
configured using `configure  '--prefix=/usr' '--sysconfdir=/etc'
'--libexecdir=/usr/lib' '--localstatedir=/var' '--wit\ h-x-toolkit=gtk'
'--with-xft' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
-fstack-protector --param=ssp-buffer-size\ =4 -D_FORTIFY_SOURCE=2'
'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,--hash-style=gnu''




Acknowledgement sent to Nathan Trapuzzano <nbtrap@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11054; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.